Skip to main content
GET
/
estimate_network_fee
TypeScript
const response: Promise<FireblocksResponse<EstimatedNetworkFeeResponse>> = fireblocks.transactions.estimateNetworkFee(transactionsApiEstimateNetworkFeeRequest);
{
  "low": {
    "feePerByte": "<string>",
    "gasPrice": "<string>",
    "networkFee": "<string>",
    "baseFee": "<string>",
    "priorityFee": "<string>"
  },
  "medium": {
    "feePerByte": "<string>",
    "gasPrice": "<string>",
    "networkFee": "<string>",
    "baseFee": "<string>",
    "priorityFee": "<string>"
  },
  "high": {
    "feePerByte": "<string>",
    "gasPrice": "<string>",
    "networkFee": "<string>",
    "baseFee": "<string>",
    "priorityFee": "<string>"
  }
}

Query Parameters

assetId
string
required

The asset for which to estimate the fee

Response

Estimated fees response

low
object
required
medium
object
required
high
object
required